//==============================================================================================
//
//	WICS Demonstration Application
//	Version 1.00
//
//	DEMO.CPP main application code file
//	February 1993
//
//	Copyright (C) 1993  Microdyne Development Technologies
//
//==============================================================================================
//
//	Abstract:
//
//	This is a demonstration program to show off the WICS (Windows Interface Construction Set) custom controls and
//	Borland Style Common Dialogs.
//
//==============================================================================================		

#include <owl.h>
#include <wics.h>
#include <demorc.h>
#include <demo.h>

//-------------------------------------------------------------------------------------
// Construct the TDemoApp's MainWindow data member
//-------------------------------------------------------------------------------------

void TDemoApp::InitMainWindow()
{
	MainWindow = new TDemoWindow("WICS Demo", DEMO_MENU);
}

//-------------------------------------------------------------------------------------
//	Initialize each MS-Windows application instance.
//-------------------------------------------------------------------------------------

void TDemoApp::InitInstance()
{
	TApplication::InitInstance();
}

//-------------------------------------------------------------------------------------
//	Initialize the application.
//-------------------------------------------------------------------------------------

void TDemoApp::InitApplication()
{
	TApplication::InitApplication();

	idHelpMessage     = RegisterWindowMessage (HELPMSGSTRING);
	idFindTextMessage = RegisterWindowMessage (FINDMSGSTRING);
}

//-------------------------------------------------------------------------------------
//	Main program loop for LIDB Application.
//-------------------------------------------------------------------------------------

int PASCAL WinMain(HANDLE hInstance, HANDLE hPrevInstance, LPSTR lpCmdLine, int nCmdShow)
{
	HINSTANCE hLib1 = LoadLibrary( "BWCC.DLL" );
	HINSTANCE hLib2 = LoadLibrary( "WICSCC.DLL" );
	HINSTANCE hLib3 = LoadLibrary( "WCD.DLL" );

	TDemoApp DemoApp ("WICS Demo", hInstance, hPrevInstance, lpCmdLine, nCmdShow);
	DemoApp.Run();

	FreeLibrary (hLib1);
	FreeLibrary (hLib2);
	FreeLibrary (hLib3);

	return DemoApp.Status;
}

